org.apache.felix.ipojo.bnd

## Class Manifests

- java.lang.Object
- - org.apache.felix.ipojo.bnd.Manifests

    public class Manifests
    extends Object

A `Manifests` is a utility class for extracting data from Bundle's Manifest.

Author:
  Felix Project Team

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getComponents(Attributes main)`
`static boolean` `hasEmbedComponents(aQute.bnd.osgi.Analyzer analyzer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getComponents

    public static String getComponents(Attributes main)

#### hasEmbedComponents

    public static boolean hasEmbedComponents(aQute.bnd.osgi.Analyzer analyzer)
                                      throws Exception

Throws:
  `Exception`